var MY_TABKEY = {
	blankImage:'images/b.gif',
	width:150,
	height:150,
	collapsedCircleRadius:0.6,
	expandedCircleRadius:0.7,
	spacing:10,
	normal:{
		middle:'<img src="images/i{text}.gif" width="35" height="35" />'
	},
	items:[
		{text:'1', url:'?a=1', re:/a=1/},
		{text:'2', url:'?a=2', re:/a=2/},
		{text:'3', url:'?a=3', re:/a=3/},
		{text:'4', url:'?a=4', re:/a=4/},
		{text:'5', url:'?a=5', re:/a=5/},
		{text:'6', url:'?a=6', re:/a=6/}
	],
	dynamics:{
		init:function (items, stage, itemIndex) {
			if (!itemIndex)
				itemIndex = 0;
			var bx = this.definition.width / 2, by = this.definition.height / 2;
			if (stage == STAGE_ONMOUSEOVER) {
				for (var i in items) {
					var a = (i - itemIndex) / items.length * 3.141 * 2;
					items[i].targetLeft = Math.round(bx + bx * Math.cos(a) * this.definition.expandedCircleRadius);
					items[i].targetTop = Math.round(by - by * Math.sin(a) * this.definition.expandedCircleRadius);
				}
			} else if (stage == STAGE_ONMOUSEOUT) {
				for (var i in items) {
					var a = (i - itemIndex) / items.length * 3.141 * 2;
					items[i].targetLeft = Math.round(bx + bx * Math.cos(a) * this.definition.collapsedCircleRadius);
					items[i].targetTop = Math.round(by - by * Math.sin(a) * this.definition.collapsedCircleRadius);
				}
			} else if (stage == STAGE_INIT) {
				for (var i in items) {
					var a = (i - itemIndex) / items.length * 3.141 * 2;
					items[i].left = Math.round(bx);
					items[i].top = Math.round(by);
					items[i].targetLeft = Math.round(bx + bx * Math.cos(a) * this.definition.collapsedCircleRadius);
					items[i].targetTop = Math.round(by - by * Math.sin(a) * this.definition.collapsedCircleRadius);
				}
			}
		},
		step:function (items) {
			var delay = 0;

			for (var i in items) {
				if (items[i].targetLeft > items[i].left) {
					items[i].left++;
					delay = 20;
				} else if (items[i].targetLeft < items[i].left) {
					items[i].left--;
					delay = 20;
				}

				if (items[i].targetTop > items[i].top) {
					items[i].top++;
					delay = 20;
				} else if (items[i].targetTop < items[i].top) {
					items[i].top--;
					delay = 20;
				}
			}

			return delay;
		}
	}
};
