var MY_TABKEY = {
	blankImage:'images/b.gif',
	width:600,
	height:25,
	spacing:10,
	normal:{
		middle:'<table cellspacing="0" cellpadding="0" border="0" style="height: 25px; font: 9pt verdana; border: 1px solid silver; background-color: #F0F0F0; color: black;"><td style="padding: 0 10px;">{text}</td></table>'
	},
	active:{
		middle:'<table cellspacing="0" cellpadding="0" border="0" style="height: 25px; font: 9pt verdana; border: 1px solid silver; background-color: black; color: white;"><td style="padding: 0 10px;">{text}</td></table>'
	},
	rollovered:{
		middle:'<table cellspacing="0" cellpadding="0" border="0" style="height: 25px; font: 9pt verdana; border: 1px solid silver; background-color: red; color: yellow;"><td style="padding: 0 10px;">{text}</td></table>'
	},
	items:[
		{text:'Item 1', url:'?a=1', re:/a=1/},
		{text:'Item 2', url:'?a=2', re:/a=2/},
		{text:'Item 3', url:'?a=3', re:/a=3/},
		{text:'Item 4', url:'?a=4', re:/a=4/},
		{text:'Item 5', url:'?a=5', re:/a=5/},
		{text:'Item 6', url:'?a=6', re:/a=6/},
		{text:'Item 7', url:'?a=7', re:/a=7/},
		{text:'Item 8', url:'?a=8', re:/a=8/}
	],
	dynamics:{
		init:function (items, stage, itemIndex) {
			if (stage == STAGE_ONMOUSEOVER) {
				var left = 0;
				for (var i in items) {
					if (i < itemIndex)
						items[i].targetLeft = left - i * 5;
					else if (i > itemIndex)
						items[i].targetLeft = left + (items.length - i - 1) * 5;
					else
						items[i].targetLeft = left;

					left += items[i].width + this.definition.spacing;
				}
			} else if (stage == STAGE_INIT || stage == STAGE_ONMOUSEOUT) {
				var left = 0;
				for (var i in items) {
					items[i].targetLeft = left;
					if (stage == STAGE_INIT)
						items[i].left = left;
					left += items[i].width + this.definition.spacing;
				}
			}
		},
		step:function (items) {
			var delay = 0;

			for (var i in items)
				if (items[i].targetLeft > items[i].left) {
					items[i].left += Math.max(1, Math.round((items[i].targetLeft - items[i].left) / 5));
					delay = 20;
				} else if (items[i].targetLeft < items[i].left) {
					items[i].left -= Math.max(1, Math.round((items[i].left - items[i].targetLeft) / 5));
					delay = 20;
				}

			return delay;
		}
	}
};
